Subject: Re: 24.3; cc-mode indentation is broken

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 11:52:02 +0100

Juhani Åhman <[email-masked]> writes:

> I can't reliably reproduce the bug. 
> All I can say that the auto-indentation thingymajig in cc-mode stops working at 
> random every 5-15 minutes or so. 
> I can get it working again by reloading the file I am editing. 
> When the indentation is broken, pressing enter will leave no indentation 
> space for braces and such. 
>
> it looks like this 
>
> if(1) { 
> foo(); 
> bar(); 
> zot(); 
> } 
>
> when it should look like this 
>
> if(1) { 
>     foo(); 
>     bar(); 
>     zot(); 
> } 
>
> I'm pretty sure the indentation was working in some previous version, 
> about two years ago or so, but not in any of the newer versions of Emacs.

I'm not seeing this here.  Can you reproduce this when running under
"emacs -Q"?

Best regards,
Stefan Kangas